#!/usr/bin/env bash

NAMESPACE=${1:-elotl}

NAME="debug-luna-$(date +"%Y-%m-%d")"
TMP_DIR_PATH="/tmp/${NAME}"

mkdir "/tmp/${NAME}"

kubectl get all -n "${NAMESPACE}" > ${TMP_DIR_PATH}/get-all.txt
kubectl get events -n "${NAMESPACE}" > ${TMP_DIR_PATH}/get-events.txt
kubectl describe po -l app.kubernetes.io/component=luna-manager -n "${NAMESPACE}" > ${TMP_DIR_PATH}/describe-manager.txt
kubectl describe po -l app.kubernetes.io/component=luna-webhook -n "${NAMESPACE}" > ${TMP_DIR_PATH}/describe-webhook.txt

kubectl logs -l app.kubernetes.io/component=luna-manager -n "${NAMESPACE}" > ${TMP_DIR_PATH}/manager-logs.txt
kubectl logs -l app.kubernetes.io/component=luna-manager --previous -n "${NAMESPACE}" > ${TMP_DIR_PATH}/manager-logs-previous.txt
kubectl logs -l app.kubernetes.io/component=luna-webhook -n "${NAMESPACE}" > ${TMP_DIR_PATH}/webhook-logs.txt
kubectl logs -l app.kubernetes.io/component=luna-webhook --previous -n "${NAMESPACE}" > ${TMP_DIR_PATH}/webhook-logs-previous.txt

tar -cvzf ${NAME}.tar.gz ${TMP_DIR_PATH}
rm -r ${TMP_DIR_PATH}
